Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.management.JMException
                        |
                        +--javax.management.MBeanException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MBeanRegistrationException

public class MBeanException
extends JMException

Represents "user defined" exceptions thrown by MBean methods in the agent. It "wraps" the actual "user defined" exception thrown. This exception will be built by the MBeanServer when a call to an MBean method results in an unknown exception.

Author:
  Young Yang
See Also:
  Serialized Form

Constructor Summary
`MBeanException(java.lang.Exception e)` Creates an `MBeanException` that wraps the actual `java.lang.Exception`.
`MBeanException(java.lang.Exception e, java.lang.String message)` Creates an `MBeanException` that wraps the actual `java.lang.Exception` with a detail message.

Method Summary
`java.lang.Exception` | `getTargetException()` Returns the actual `java.lang.Exception` thrown.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MBeanException

    public MBeanException(java.lang.Exception e)

  Creates an `MBeanException` that wraps the actual `java.lang.Exception`.

### MBeanException

    public MBeanException(java.lang.Exception e,
                          java.lang.String message)

  Creates an `MBeanException` that wraps the actual `java.lang.Exception` with a detail message.

Method Detail

### getTargetException

    public java.lang.Exception getTargetException()

  Returns the actual `java.lang.Exception` thrown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD